Recent

Author Topic: Lazarus trunk build error  (Read 746 times)

Blaazen

  • Hero Member
  • *****
  • Posts: 3155
  • POKE 54296,15
    • Eye-Candy Controls
Lazarus trunk build error
« on: January 28, 2023, 08:40:57 pm »
Hi,

after "git pull" and build with "clean all" option from menu I got this error:
Code: Pascal  [Select][+][-]
  1. staticpackages.inc(5,28) Error: Duplicate identifier "LAZ.VIRTUALTREEVIEW_PACKAGE"
  2. staticpackages.inc(8,14) Error: Duplicate identifier "LAZDEBUGGERFP"
  3. make[2]: *** [Makefile:4960: lazarus] Error 1
  4. make[1]: *** [Makefile:5399: ide] Error 2
  5. Error: make: *** [Makefile:3791: ide] Error 2

The file staticpackages.inc seems to be auto-generated during build. It's content is just:
Code: Pascal  [Select][+][-]
  1. freetypelaz,
  2. cody,
  3. eccontrols,
  4. idescout,
  5. laz.virtualtreeview_package,
  6. runtimetypeinfocontrols,
  7. allsyneditdsgn,
  8. lazdebuggerfp,

Thanks
Lazarus 2.3.0 (rev main-2_3-2863...) FPC 3.3.1 x86_64-linux-qt Chakra, Qt 4.8.7/5.13.2, Plasma 5.17.3
Lazarus 1.8.2 r57369 FPC 3.0.4 i386-win32-win32/win64 Wine 3.21

Try Eye-Candy Controls: https://sourceforge.net/projects/eccontrols/files/

zeljko

  • Hero Member
  • *****
  • Posts: 1412
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: Lazarus trunk build error
« Reply #1 on: January 28, 2023, 08:57:12 pm »
Same here, make clean && make bigide fixed problem

Blaazen

  • Hero Member
  • *****
  • Posts: 3155
  • POKE 54296,15
    • Eye-Candy Controls
Re: Lazarus trunk build error
« Reply #2 on: January 28, 2023, 11:09:23 pm »
Thanks. It compiled Lazarus to GTk. But when I tried to rebuild to qt4 (from menu) I got another error:
Code: Pascal  [Select][+][-]
  1. uses.inc(1,37) Error: Cannot find qt4 used by DelphiCompat. Enable flag "Use Unit" of unit qt4 in package LCL.
Lazarus 2.3.0 (rev main-2_3-2863...) FPC 3.3.1 x86_64-linux-qt Chakra, Qt 4.8.7/5.13.2, Plasma 5.17.3
Lazarus 1.8.2 r57369 FPC 3.0.4 i386-win32-win32/win64 Wine 3.21

Try Eye-Candy Controls: https://sourceforge.net/projects/eccontrols/files/

Bogen85

  • Hero Member
  • *****
  • Posts: 572
Re: Lazarus trunk build error
« Reply #3 on: January 28, 2023, 11:51:24 pm »
Same here, make clean && make bigide fixed problem

I just now rebuilt/reinstalled fpc and lazarus trunk.
I use a script that does a git pull for me to get the latest changes for me, but then I have it clone that local repo into a fresh repo locally to do the builds in, so I don't ever do to a make clean anymore for my rebuilds/re-installs.

make bigide and subsequent reinstall worked without any issues on the fpc built/installed immediately before it.

zeljko

  • Hero Member
  • *****
  • Posts: 1412
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: Lazarus trunk build error
« Reply #4 on: January 29, 2023, 11:48:40 am »
Thanks. It compiled Lazarus to GTk. But when I tried to rebuild to qt4 (from menu) I got another error:
Code: Pascal  [Select][+][-]
  1. uses.inc(1,37) Error: Cannot find qt4 used by DelphiCompat. Enable flag "Use Unit" of unit qt4 in package LCL.

I've built for qt5 successfully (currently no the road with Mac book, so cannot test qt4) under linux with make bigide LCL_PLATFORM=qt5,
maybe make clean LCL_PLATFORM=qt && make bigide LCL_PLATFORM=qt can help. Is it vanilla git or you have some internal changes ?

Blaazen

  • Hero Member
  • *****
  • Posts: 3155
  • POKE 54296,15
    • Eye-Candy Controls
Re: Lazarus trunk build error
« Reply #5 on: January 29, 2023, 05:21:58 pm »
Thanks, this worked:
Code: Pascal  [Select][+][-]
  1. $ make clean LCL_PLATFORM=qt
  2. $ make bigide LCL_PLATFORM=qt

Then I used Install/Uninstall packages... and Lazarus rebuilt well again (without any errors in uses.inc or staticpackages.inc).
Lazarus 2.3.0 (rev main-2_3-2863...) FPC 3.3.1 x86_64-linux-qt Chakra, Qt 4.8.7/5.13.2, Plasma 5.17.3
Lazarus 1.8.2 r57369 FPC 3.0.4 i386-win32-win32/win64 Wine 3.21

Try Eye-Candy Controls: https://sourceforge.net/projects/eccontrols/files/

 

TinyPortal © 2005-2018